<!DOCTYPE html>
<html lang="es">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
	<meta name="Author" content="Brais Arias Rio">

	<title>DHCP - Servicios en Red</title>

	<link rel="stylesheet" href="reveal.js/dist/reset.css">
	<link rel="stylesheet" href="reveal.js/dist/reveal.css">
	<link rel="stylesheet" href="reveal.js/dist/theme/black.css" id="theme">
	<link rel="stylesheet" href="css/custom.css">

	<!-- Theme used for syntax highlighted code -->
	<link rel="stylesheet" href="reveal.js/plugin/highlight/monokai.css" id="highlight-theme">
</head>

<body>
	<div class="reveal">
		<div class="slides">

			<section id="portada">
				<h1><em>DHCP</em></h1>
				<h4>Servicios en Red</h4>
				<h4>Sistemas Microinformáticos y Redes</h4>
				<p>CPR Liceo La Paz</p>
				<p class="small"><a class="code"
						href="https://bar-liceo-23.gitlab.io/sr/t-1-dhcp/">https://bar-liceo-23.gitlab.io/sr/t-1-dhcp/</a></p>
			</section>

			<section>
				<h1>¿Qué es el servicio <em>DHCP</em>?</h1>
			</section>

			<section>
				<h2>Qué es <em>DHCP</em>? (1/2)</h2>
				<ul>
					<li>DHCP (<em>Dynamic Host Configuration Protocol</em>)</li>
					<li><em>Configuración</em> de red TCP/IP <em>automática</em></li>
					<li>Aparación en los <em>90</em></li>
					<li>Mejora del protocolo <em>BOOTP</em></li>
					<li>Uso en redes <em>locales</em> e <em>internet</em></li>
				</ul>
			</section>
			<section>
				<h2>Qué es <em>DHCP</em>? (2/2)</h2>
				<ul>
					<li>Protocolo de <em>nivel aplicación</em></li>
					<li>Cliente/Servidor</li>
					<li><em>Cliente</em>:
						<ul>
							<li><em>Solicita</em> configuración mediante <em>Broadcast</em></li>
						</ul>
					</li>
					<li><em>Servidor</em> DHCP:
						<ul>
							<li>Mantiene <em>tabla de direcciones</em> asignadas y libres</li>
							<li>Asigna direcciones de un <em>rango de IPs</em></li>
						</ul>
					</li>
				</ul>
			</section>

			<section>
				<h1>Tipos de <em>asignación</em> de IP</h1>
			</section>

			<section>
				<h2>Tipos de <em>asignación</em></h2>
				<ul>
					<li>Automática e <em>ilimitada</em></li>
					<li>Dinámica <em>limitada</em></li>
					<li><em>Manual</em> con reserva</li>
				</ul>
			</section>

			<section>
				<h2>Asignación automática e <em>ilimitada</em></h2>
				<p>Asigna <em>IP libre</em> del rango para el cliente para <em>"siempre"</em></p>
				<p>Duración hasta <em>liberación</em> por parte del <em>cliente</em></p>
				<p>Típica en LAN</p>
			</section>

			<section>
				<h2>Asignación dinámica <em>limitada</em></h2>
				<p>Asigna IP libre del rango</p>
				<p><em>Duración</em> de asignación limitada</p>
				<p>Tiempo en función de altas, bajas y cantidad de direcciones</p>
			</section>

			<section>
				<h2>Asignación <em>manual</em> (o estática) con reserva</h2>
				<p>Asignación <em>permanente</em> a un equipo</p>
				<p>Asignación en función de la <em>MAC</em> de la interfaz de red</p>
				<p>Un cliente recibe <em>siempre la misma</em> IP</p>
			</section>

			<section>
				<h1><em>Ventajas</em> de DHCP</h1>
			</section>

			<section>
				<h2><em>Ventajas</em> de DHCP (1/4)</h2>
				<h3><em>Administración</em> de direcciones IP <em>simplificada</em></h3>
				<ul>
					<li>Asignación y configuración automática</li>
					<li>Sin intervención de administrador</li>
					<li>Cambio de red sin configuración manual</li>
				</ul>
			</section>

			<section>
				<h2><em>Ventajas</em> de DHCP (2/4)</h2>
				<h3>Configuración de clientes de red <em>centralizada</em></h3>
				<ul>
					<li>Conf. de red almacenada en servidor DHCP</li>
					<li>Modificación en único punto</li>
				</ul>
			</section>

			<section>
				<h2><em>Ventajas</em> de DHCP (3/4)</h2>
				<h3>Inicio de red</h3>
				<ul>
					<li>Iniciar desde servidor de red sin RARP</li>
					<li>DHCP proporciona toda información para funcionar</li>
				</ul>
			</section>

			<section>
				<h2><em>Ventajas</em> de DHCP (4/4)</h2>
				<h3>Amplia <em>compatibilidad</em> de red</h3>
				<ul>
					<li>Soporta múltiples solicitudes</li>
					<li>Almacenes de datos soportan grandes cantidades</li>
				</ul>
			</section>

			<section>
				<h1>¿Cómo funciona <em>DHCP</em>?</h1>
			</section>

			<section>
				<h2><em>Cómo</em> funciona?</h2>
				<ul>
					<li>DHCP usar el protocolo <em>UDP</em></li>
					<li><em>Servidor</em> usa puerto UDP <em>67</em></li>
					<li><em>Cliente</em> usa puerto UDP <em>68</em></li>
				</ul>
			</section>

			<section>
				<h2>Cómo funciona? - <em>Fases</em></h2>
				<ol>
					<li>Solicitud</li>
					<li>Propuesta</li>
					<li>Aceptación</li>
					<li>Confirmación</li>
					<li>Cese</li>
				</ol>
			</section>

			<section>
				<h2>Solicitud</h2>
				<ul>
					<li>Cliente envia mesaje de <em>difusión</em> (broadcast)
						<ul>
							<li>Llega a <em>todos</em> los equipos de la red</li>
						</ul>
					</li>
					<li>Solicita a algún servidor envío de parámetros</li>
					<li>Mensaje de <em class="code">DHCPDISCOVER</em></li>
					<li><em>Estado inicial</em></li>
				</ul>
			</section>

			<section>
				<h2>Propuesta</h2>
				<ul>
					<li><em>Cualquier</em> servidor DHCP responde</li>
					<li>Puede que más de uno envíe respuesta</li>
					<li>Se <em>propone IP</em> disponible</li>
					<li>Mensaje de <em class="code">DHCPOFFER</em>
						<ul>
							<li>Oferta de configuración</li>
						</ul>
					</li>
					<li><em>Estado de inicialización</em></li>
				</ul>
			</section>

			<section>
				<h2>Aceptación</h2>
				<ul>
					<li>Cliente ha recibido oferta</li>
					<li>Cliente <em>comprueba</em> si la IP está siendo usada</li>
					<li>Mensaje de difusión <em>indicando que acepta</em> la propuesta</li>
					<li>Mensaje de <em class="code">DHCPREQUEST</em> indica:
						<ul>
							<li>IP que acepta</li>
							<li>Servidor que se la ha enviado</li>
						</ul>
					</li>
					<li><em>Estado de selección</em></li>
				</ul>
			</section>

			<section>
				<h2>Confirmación (solicitud)</h2>
				<ul>
					<li><em>Estado de solicitud</em></li>
					<li>Servidor recibe mensaje de aceptación</li>
					<li>Servidor envía mensaje de confirmación</li>
					<li>Mensaje de <em class="code">DHCPACK</em> indica:
						<ul>
							<li>IP asignada</li>
							<li>Máscara de red</li>
							<li>Parámetros de red</li>
							<li>Opciones de configuración</li>
						</ul>
					</li>
				</ul>
			</section>

			<section>
				<h2>Confirmación (enlace)</h2>
				<ul>
					<li><em>Estado de enlace</em></li>
					<li>Cliente recibe el mensaje de <em class="code">DHCPACK</em></li>
					<li>Cliente dispone tiempo de concesión de la IP</li>
					<li><em>Cliente configurado</em></li>
				</ul>
			</section>

			<section>
				<h2>Cese</h2>
				<ul>
					<li>Un cliente <em>puede dejar</em> de usar una configuración</li>
					<li>Mensaje de <em class="code">DHCPRELEASE</em></li>
				</ul>
			</section>

			<section>
				<h2><em>Fases</em> / <em>Estados</em></h2>

				<img src="img/diagrama-fases-dhcp.png" alt="Diagrama de estados/fases">
			</section>


			<section>
				<h1>Mensajes</h1>
			</section>
			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP DISCOVER</em></h3>
				<ul>
					<li>Cliente -&gt; servidor</li>
					<li>Se realiza <em>petición</em> de la IP</li>
					<li>Dirección origen: <em class="code">0.0.0.0</em></li>
					<li>Dirección destino: <em class="code">255.255.255.255</em></li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP OFFER</em></h3>
				<ul>
					<li>Servidor -&gt; cliente</li>
					<li>Se <em>determina</em> la configuración en función de la MAC</li>
					<li>Se especifica la IP</li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP REQUEST</em></h3>
				<ul>
					<li>Cliente -&gt; servidor</li>
					<li>Se <em>selecciona</em> la configuración</li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP ACK</em>owledge</h3>
				<ul>
					<li>Servidor -&gt; cliente</li>
					<li>Se envía la configuración incluída la concesión</li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCPNACK</em></h3>
				<ul>
					<li>Servidor -&gt; cliente</li>
					<li>Se informa de que la IP ya <em>no</em> se puede asignar</li>
					<li>Asignada a otro equipo u otra situación</li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP DECLINE</em></h3>
				<ul>
					<li>Cliente -&gt; servidor</li>
					<li>Se informa de que la IP <em>está en uso</em></li>
					<li>Habitualmente otro ususario la ha asignado de forma manual en otro cliente</li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP RELEASE</em></h3>
				<ul>
					<li>Cliente -&gt; servidor</li>
					<li>Se informa de que se <em>finaliza</em> el uso de la IP</li>
				</ul>
			</section>

			<section>
				<h2>Mensajes</h2>
				<h3><em>DHCP INFORM</em></h3>
				<ul>
					<li>Cliente -&gt; servidor</li>
					<li>Se <em>consulta</em> la configuración local</li>
				</ul>
			</section>

			<section>
				<h1>Parámetros</h1>
			</section>
			<section>
				<h2>Parámetros</h2>
				<h3><em>Obligatorios</em></h3>
				<ul>
					<li>Dirección IP (IP Address)</li>
					<li>Máscara de subred (netmask)</li>
					<li>Tiempo de concesión (lease time)</li>
					<li>Tiempo de renovación (renewal time)</li>
					<li>Tiempo de reconexión (rebiding time)</li>
				</ul>
			</section>

			<section>
				<h2>Parámetros</h2>
				<h3><em>Opcionales</em></h3>
				<ul>
					<li>Dirección IP de la puerta de enlace (gateway)</li>
					<li>Servidores DNS</li>
					<li>Nombre de dominio DNS</li>
					<li>Dirección de broadcast de red</li>
					<li>Servidores SMTP</li>
					<li>Servidor WINS</li>
				</ul>
				<p>...</p>
			</section>


			<section id="contraPortada">
				<h1><em>DHCP</em></h1>
				<h4>Servicios en Red</h4>
				<h4>Sistemas Microinformáticos y Redes</h4>
				<p>CPR Liceo La Paz</p>
				<p class="small"><a class="code"
						href="https://bar-liceo-23.gitlab.io/sr/t-1-dhcp/">https://bar-liceo-23.gitlab.io/sr/t-1-dhcp/</a></p>
			</section>


		</div>
	</div>

	<footer class="authors">
		<div style="position:absolute; left: 45px; bottom: 45px;">
			<a href="https://fp.liceolapaz.com/" target="_blank" style="color: #996">CPR Liceo "La Paz"</a>
		</div>
	</footer>

	<script src="reveal.js/dist/reveal.js"></script>
	<script src="reveal.js/plugin/notes/notes.js"></script>
	<script src="reveal.js/plugin/markdown/markdown.js"></script>
	<script src="reveal.js/plugin/highlight/highlight.js"></script>
	<script>
		// More info about initialization & config:
		// - https://revealjs.com/initialization/
		// - https://revealjs.com/config/
		Reveal.initialize({
			hash: true,

			// Learn about plugins: https://revealjs.com/plugins/
			plugins: [RevealMarkdown, RevealHighlight, RevealNotes]
		});
	</script>
</body>

</html>